commit:     2d8e04c102d28f31b92b0c9b16e9670c9b817233
Author:     Marek Szuba <marecki <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 12 10:12:03 2019 +0000
Commit:     Marek Szuba <marecki <AT> gentoo <DOT> org>
CommitDate: Tue Mar 12 10:12:03 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2d8e04c1

net-p2p/syncthing: bump to version 1.0.1 and EAPI 7

Signed-off-by: Marek Szuba <marecki <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 net-p2p/syncthing/Manifest               |  1 +
 net-p2p/syncthing/syncthing-1.0.1.ebuild | 92 ++++++++++++++++++++++++++++++++
 2 files changed, 93 insertions(+)

diff --git a/net-p2p/syncthing/Manifest b/net-p2p/syncthing/Manifest
index 7ee4f9d3aaa..a69e230c283 100644
--- a/net-p2p/syncthing/Manifest
+++ b/net-p2p/syncthing/Manifest
@@ -1,2 +1,3 @@
 DIST syncthing-0.14.52.tar.gz 10583112 BLAKE2B 
cceaf0aba9dff96df0551d7aab855cb716be3d252fd677b82e20560f0a2e9eabf513ca7c7acdf4f1a3b4d3d8f6409692df7d2e92b86b1be1753bdd8913e06952
 SHA512 
cff48ea1d1286c8b1fe971b00423ad64ef10c9b0555f0cae6e008efc07a21698d54d402fe1a0ac3161c0b5180e5ca0099a0a302fd7e7c5da0f227bdb7e2853ce
 DIST syncthing-1.0.0.tar.gz 10601948 BLAKE2B 
f9b509b78850efb315e33afff49f8468e3ea97a4aac90752e07851604960e817dbdcdb9824f2a6174b1f066ac277a119eea5aff75f6247a43652b70a5ff4f9af
 SHA512 
79adbce03524665d02c1ca772fdf5aca68d9e41ee4bc02bcb9ac6ed0d8dca2fe8582139f52a0fe895ad5eb15c372d686277077ff884b67de1d45419e19407603
+DIST syncthing-1.0.1.tar.gz 7114455 BLAKE2B 
71c80afaab5a546551e8e72e63272ab277df33645d4de19005376de599d8fe0bad9d4a1e7758321d116f8c46cd73067a770f641a0c736ad678a09579716f44a8
 SHA512 
7f9fd48e00fae2f0913eb9eeddadaad1d5d7559164a24020706e70411f8ec43420192c4c9422699be6faa1641a382d5b8627038ca9a5dad38ee0e189970efbb7

diff --git a/net-p2p/syncthing/syncthing-1.0.1.ebuild 
b/net-p2p/syncthing/syncthing-1.0.1.ebuild
new file mode 100644
index 00000000000..e49e912c31e
--- /dev/null
+++ b/net-p2p/syncthing/syncthing-1.0.1.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+EGO_PN="github.com/${PN}/${PN}"
+
+inherit golang-vcs-snapshot systemd user
+
+DESCRIPTION="Open Source Continuous File Synchronization"
+HOMEPAGE="https://syncthing.net";
+SRC_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="selinux tools"
+
+RDEPEND="selinux? ( sec-policy/selinux-syncthing )"
+
+DOCS=( README.md AUTHORS CONTRIBUTING.md )
+
+pkg_setup() {
+       enewgroup ${PN}
+       enewuser ${PN} -1 -1 /var/lib/${PN} ${PN}
+
+       if use tools ; then
+               # separate user for the relay server
+               enewgroup strelaysrv
+               enewuser strelaysrv -1 -1 /var/lib/strelaysrv strelaysrv
+               # and his home folder
+               keepdir /var/lib/strelaysrv
+               fowners strelaysrv:strelaysrv /var/lib/strelaysrv
+       fi
+}
+
+src_prepare() {
+       default
+       sed -i \
+               's|^ExecStart=.*|ExecStart=/usr/libexec/syncthing/strelaysrv|' \
+               
src/${EGO_PN}/cmd/strelaysrv/etc/linux-systemd/strelaysrv.service \
+               || die
+}
+
+src_compile() {
+       export GOPATH="${S}:$(get_golibdir_gopath)"
+       cd src/${EGO_PN} || die
+       go run build.go -version "v${PV}" -no-upgrade install \
+               $(usex tools "all" "") || die "build failed"
+}
+
+src_test() {
+       cd src/${EGO_PN} || die
+       go run build.go test || die "test failed"
+}
+
+src_install() {
+       pushd src/${EGO_PN} >& /dev/null || die
+       doman man/*.[157]
+       einstalldocs
+
+       dobin bin/syncthing
+       if use tools ; then
+               exeinto /usr/libexec/syncthing
+               local exe
+               for exe in bin/* ; do
+                       [[ "${exe}" == "bin/syncthing" ]] || doexe "${exe}"
+               done
+       fi
+       popd >& /dev/null || die
+
+       # openrc and systemd service files
+       systemd_dounit 
src/${EGO_PN}/etc/linux-systemd/system/${PN}{@,-resume}.service
+       systemd_douserunit src/${EGO_PN}/etc/linux-systemd/user/${PN}.service
+       newconfd "${FILESDIR}/${PN}.confd" ${PN}
+       newinitd "${FILESDIR}/${PN}.initd" ${PN}
+
+       keepdir /var/{lib,log}/${PN}
+       fowners ${PN}:${PN} /var/{lib,log}/${PN}
+       insinto /etc/logrotate.d
+       newins "${FILESDIR}/${PN}.logrotate" ${PN}
+
+       if use tools ; then
+               # openrc and systemd service files
+               systemd_dounit 
src/${EGO_PN}/cmd/strelaysrv/etc/linux-systemd/strelaysrv.service
+               newconfd "${FILESDIR}/strelaysrv.confd" strelaysrv
+               newinitd "${FILESDIR}/strelaysrv.initd" strelaysrv
+
+               insinto /etc/logrotate.d
+               newins "${FILESDIR}/strelaysrv.logrotate" strelaysrv
+       fi
+}

Reply via email to